package com.foreverwin.mesnac.quality.model;


import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

public class InspectionTaskManage implements Serializable {

    private String handle;
    private String site;
    private String operationType;
    private String category;
    private String taskNo;
    private String description;
    private String status;
    private String inspectionItemBo;
    private String workCenter;
    private String shopOrder;
    private String sfc;
    private String item;
    private String itemDescription;
    private String operation;
    private String stepId;
    private String resrce;
    private String result;
    private String comments;
    private String createUser;
    private LocalDateTime createdDateTime;
    private String modifyUser;
    private LocalDateTime modifiedDateTime;
    private String fullName;
    private String resrceDescription;
    private String operationDescription;
    private String sfcQty;
    private String dispatchUser;

    private List<InspectionTaskManageDetail> inspectionTaskDetailList;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getTaskNo() {
        return taskNo;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getInspectionItemBo() {
        return inspectionItemBo;
    }

    public void setInspectionItemBo(String inspectionItemBo) {
        this.inspectionItemBo = inspectionItemBo;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public LocalDateTime getCreatedDateTime() {
        return createdDateTime;
    }

    public void setCreatedDateTime(LocalDateTime createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    public String getModifyUser() {
        return modifyUser;
    }

    public void setModifyUser(String modifyUser) {
        this.modifyUser = modifyUser;
    }

    public LocalDateTime getModifiedDateTime() {
        return modifiedDateTime;
    }

    public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    public List<InspectionTaskManageDetail> getInspectionTaskDetailList() {
        return inspectionTaskDetailList;
    }

    public void setInspectionTaskDetailList(List<InspectionTaskManageDetail> inspectionTaskDetailList) {
        this.inspectionTaskDetailList = inspectionTaskDetailList;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getResrceDescription() {
        return resrceDescription;
    }

    public void setResrceDescription(String resrceDescription) {
        this.resrceDescription = resrceDescription;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getSfcQty() {
        return sfcQty;
    }

    public void setSfcQty(String sfcQty) {
        this.sfcQty = sfcQty;
    }

    public String getDispatchUser() {
        return dispatchUser;
    }

    public void setDispatchUser(String dispatchUser) {
        this.dispatchUser = dispatchUser;
    }
}
